using System;
using System.IO;

namespace ZSocket
{
    public abstract class IDispatchSystem
    {
        public abstract void HandleRecvStream(SocketHandler handler, int protocolVersion, MemoryStream stream);
        public abstract void Call(SocketHandler handler, string msgType, byte[] msg, int offset, int size, Action<int, MemoryStream> callback);
        public abstract void Send(SocketHandler handler, string msgType, byte[] msg, int offset, int size);
        public abstract void TimeOutClean();
        public abstract void ClearAllRpc(int errorCode);
    }
}
